body {
  overflow-y: auto;
}

.btn-season input {
  border: none;
  border-bottom: 1px solid orange;
  background-color: rgba(0, 0, 0, 0);
  color: white;
  width: 65px;
  height: 15px;
  cursor: pointer;
  margin-right: 1%;
  margin-bottom: 2%;
}

.btn-season input:hover {
  background-color: rgba(0, 0, 0, 0.5);
}

.video-global {
  width: 92%;
  display: flex;
  flex-wrap: wrap;
  margin-top: 100px;
  margin-left: 4%;
  margin-right: 4%;
}

video::cue {
  background-color: transparent !important;
  text-shadow: 0px 1px 1px black, 0 0 0.2em black;
  color: white;
}


.video-info {
  width: 31%;
  background-color: rgba(0, 0, 0, 0.6);
  border-left: orange 1px solid;
  margin-right: 4%;
  padding: 1%;
}

.video-magnet {
  width: 62%;
  margin-left: 0.9%;
}

.video-player {
  width: 100%;
}

.global-video-info {
  width: 100%;
  display: flex;
  flex-wrap: wrap;
}

.video-img {
  width: 50%;
}

.video-img-src {
  width: 100%;
  font-size: 3em;
}

.video-info-src {
  width: 49%;
  margin-left: 1%;
}

.video-description {
  width: 100%;
  font-size: 0.8em;
  margin-top: 1%;
}

.video-runtime {
  font-size: 0.8em;
  margin-top: 3%;
}

.video {
  width: 100%;
  display: flex;
  flex-wrap: wrap;
}

.global-comment {
  width: 100%;
  margin-bottom: 100px;
}

.video-add-comment {
  background-color: rgba(0, 0, 0, 0.6);
  width: 35%;
  margin-top: 3%;
  border-left: 1px solid orange;
  padding: 1%;
  height: 60px;
}

.video-add-comment textarea {
  resize: none;
  width: 100%;
  height: 30px;
  border-bottom: 1px solid orange !important;
  background-color: rgba(0, 0, 0, 0.1);
  border: none;
  color: white;
  outline: none;
}

.video-add-comment form input {
  float: right;
  color: white;
  background-color: rgba(0, 0, 0, 0.2);
  border-bottom: 1px solid orange !important;
  height: 30px;
  margin-top: 2px;
  border: none;
  width: 100px;
  cursor: pointer;
}

.video-comment {
  background-color: rgba(0, 0, 0, 0.6);
  width: 60%;
  height: auto;
  border-left: 1px solid orange !important;
  margin-top: 10px;
  padding: 1%;
}

.comment {
  display: flex;
  flex-wrap: wrap;
  margin-bottom: 1%;
  padding-bottom: 1%;
  border-bottom: 1px solid rgba(0, 0, 0, 0.2) !important;
  word-wrap: break-word;
}

.comment-image {
  width: 40px;
  height: 40px;
  margin-right: 1%;
  border-radius: 50%;
  object-fit: cover;
}

.no-comment-image {
  width: 40px;
  height: 40px;
  font-size: 40px;
  margin-right: 1%;
}

.comment-text {
  width: 93%;
}

.comment-username {
  font-size: 1em;
}

.comment-comment {
  font-size: 0.7em;
}

.comment-date {
  font-size: 0.5em;
}

@media screen and (max-width: 1250px) {

  .comment-image {
    width: 30px;
    height: 30px;
  }

}

@media screen and (max-width: 1050px) {

  .video-info {
    width: 30%;
  }

}

@media screen and (max-width: 700px) {

  .video-info {
    width: 100%;
    margin: 0;
  }

  .video-player {
    width: 100%;
    margin: 0;
    margin-top: 2% !important;
  }

  .video-add-comment {
    width: 50%;
    height: 65px;
    margin-top: 10%;
  }

  .video-list {
    font-size: 0.7em;
  }

  .video-comment {
    width: 100%;
  }

}

.video-list {
  overflow-y: auto;
  width: 100%;
  min-height: 500px;
  max-height: 500px;
  background-color: rgba(0, 0, 0, 0.6);
  border-left: 1px solid orange;
  padding: 1%;
}

.magnet-form {
  width: auto;
}

.magnet-link {
  width: 100%;
}

.magnet-link {
  cursor: pointer;
  width: 100%;
  background-color: rgba(0, 0, 0, 0);
  border: none;
  color: white;
  font-size: 0.9em;
  padding: 5px;
  text-align: left;
}

.torrent-ready {
  background-color: rgba(0, 0, 0, 0.2);
}

.ready-torrent-text {
  font-size: 0.6em;
  color: orange;
  margin-top: 5px;
  margin-right: 5px;
}

.magnet-link:hover {
  color: grey;
}

.btn-add-comment:hover {
  background-color: rgba(0, 0, 0, 0.7);
}

.film-logo {
  display: flex;
}

.film-logo i {
  margin-top: 5px;
}

.modal {
  display: none;
  position: fixed;
  z-index: 99;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.8);
}

.modal-content {
  background-color: rgba(0, 0, 0, 0);
  width: 100%;
  height: 100%;
  display: flex;
  overflow-y: auto;
  justify-content: center;
  flex-wrap: wrap;
  padding-top: 3%;
}

.torrent-load {
  text-align: center;
  width: 400px;
  height: 250px;
  max-height: 300px;
  margin: 1%;
  margin-bottom: 4%;
  border-bottom: 1px solid orange;
}

.video-modal-content {
  background-color: rgba(0, 0, 0, 0);
  width: 50%;
  margin: auto;
  margin-top: 20vh;
  text-align: center;
}

.close-load {
  position: absolute;
  right: 20px;
  top: 10px;
  color: orange;
  float: right;
  font-size: 28px;
  font-weight: bold;
}

.close-load:hover, .close:focus {
  color: grey;
  text-decoration: none;
  cursor: pointer;
}

.play-btn:hover {
  color: grey;
}

.close {
  color: grey;
  float: right;
  font-size: 28px;
  font-weight: bold;
}

.close:hover, .close:focus {
  color: lightgrey;
  text-decoration: none;
  cursor: pointer;
}

.loading-title {
  font-size: 1.2em;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  cursor: pointer;
}

.loading-message {
  font-size: 1em;
}

.loading {
  font-size: 0.7em;
  margin-top: 2px;
}

.lds-dual-ring {
  display: inline-block;
  width: 80px;
  height: 80px;
}
.lds-dual-ring:after {
  content: " ";
  display: block;
  width: 64px;
  height: 64px;
  margin: 8px;
  border-radius: 50%;
  border: 6px solid #fff;
  border-color: #fff transparent #fff transparent;
  animation: lds-dual-ring 1.2s linear infinite;
}
@keyframes lds-dual-ring {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

.lds-dual-ring-list {
  margin: auto;
  width: 112px;
  height: 112px;
  margin-top: 194px;
}
.lds-dual-ring-list:after {
  content: " ";
  display: block;
  width: 100px;
  height: 100px;
  border-radius: 50%;
  border: 6px solid #fff;
  border-color: #fff transparent #fff transparent;
  animation: lds-dual-ring 1.2s linear infinite;
}

.play-btn {
  cursor: pointer;
  height: 80px;
  width: auto;
  margin-top: 10px;
  border: none;
  color: orange;
  font-size: 2.5em;
  background-color: rgba(0, 0, 0, 0);
}

@media screen and (max-width: 1300px) {
 .torrent-load {
   width: 22.4%
 }
 .video-modal-content {
   width: 65%;
 }
}

@media screen and (max-width: 1000px) {
 .torrent-load {
   width: 30%
 }
 .modal-content {
   padding-top: 5%;
 }
 .video-modal-content {
   width: 80%;
 }
}

@media screen and (max-width: 700px) {
 .torrent-load {
   width: 45.4%
 }
 .modal-content {
   padding-top: 7%;
 }
 .video-modal-content {
   width: 90%;
 }
 .video-magnet {
   margin-top: 3%;
   margin-left: 0%;
   width: 100%;
 }
 .video-list {
   width: 100%;
   padding: 0;
 }
 .magnet-form {
   margin-left: 1%;
 }
 .btn-season {
   margin-top: 1%;
   margin-left: 1%;
 }
 .video-add-comment {
   width: 80%;
 }
}

@media screen and (max-width: 500px) {
 .torrent-load {
   width: 91.4%
 }
 .modal-content {
   padding-top: 9%;
 }
 .video-modal-content {
   width: 98%;
 }
}

@media screen and (max-height: 450px) {
 .video-modal-content {
   margin-top: 0vh;
 }
}

.magnet-search-div {
  margin-top: 100px;
  overflow: auto;
  height: auto;
}
